/////////////////////////////////////////////////////////////////
//	Brushing & Scripting                         		 	  //
//	By: FaT NiPple CreaTionS								 //
//	Updated from 09/08/2010 to 11/08/2010 by [ FaTNiPple ]  //
/////////////////////////////////////////////////////////////

textures/aodjump2/bluelight
{
	qer_editorimage textures/aodjump2/bluelight.jpg
	qer_trans 0.8
    cull none
	surfaceparm trans
	surfaceparm glass
    surfaceparm nodamage
	surfaceparm nolightmap
	
	q3map_surfacelight 7000
	q3map_backSplash 0.5 16
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
	{
        map textures/aodjump2/bluelight.jpg
		tcmod scroll 0.05 .45
       	blendfunc GL_ONE GL_ONE 
     	rgbGen identity
		tcgen environment
	}
}

textures/aodjump2/red
{
	qer_editorimage textures/aodjump2/red.jpg
	qer_trans 0.8
    cull none
	surfaceparm trans
	surfaceparm glass
    surfaceparm nodamage
	surfaceparm nolightmap
	
	q3map_surfacelight 7000
	q3map_backSplash 0.5 16
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
	{
        map textures/aodjump2/red.jpg
		tcmod scroll 0.05 .45
       	blendfunc GL_ONE GL_ONE 
     	rgbGen identity
		tcgen environment
	}
}

textures/aodjump2/blue
{
	qer_editorimage textures/aodjump2/blue.jpg
	q3map_globaltexture
	surfaceparm slick
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nodamage
	q3map_nonplanar
	q3map_shadeangle 120
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aodjump2/blue.jpg	
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}  
	{
		map textures/aodjump2/shiney.jpg
   		blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
		rgbGen identity
		tcGen environment
    }
}

///////////////////////////////////////////////////////////////
//	Flashing Pentagram from TjDingo 1						//
/////////////////////////////////////////////////////////////

textures/dingopent/pentagram
{
	q3map_lightimage textures/dingopent/pentagram.jpg
        q3map_surfacelight 100
	{
		map textures/dingopent/pentagram.jpg
	    rgbGen wave square 0 1 0 .5
	}
	{
		map textures/dingopent/pentagrama.jpg
		blendfunc add
	    rgbGen identity
		tcmod scroll 3 3
	}
	{
		map textures/dingopent/pentagramb.jpg
		blendfunc add
	    rgbGen identity
		tcmod scroll 3 3
	}
	{
		map $lightmap
	    rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	    rgbGen wave sin .25 0 0 0
		blendfunc add
	}
}

///////////////////////////////////////////////////////////////
//	AOD .tga Alpha											//
/////////////////////////////////////////////////////////////

textures/aodjump2/aodtag
{
	polygonOffset
	entityMergable
	{
		map textures/aodjump2/aodtag.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/alpha/fence_c10_light
{
    surfaceparm roofsteps
    surfaceparm nomarks
//  qer_editorimage textures/alpha/fence_c10a.tga
    nomipmaps
    nopicmip
    cull disable
    {
        map textures/alpha/fence_c10_light.tga
        alphaFunc GE128
        depthWrite
        rgbGen vertex
    }
}

textures/metal_misc/ametal_m06a
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/metal_misc/ametal_m06a.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}